java.nio.channels

## Class AsynchronousCloseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.channels.ClosedChannelException
        - - java.nio.channels.AsynchronousCloseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClosedByInterruptException

    public class AsynchronousCloseException
    extends ClosedChannelException

Checked exception received by a thread when another thread closes the channel or the part of the channel upon which it is blocked in an I/O operation.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AsynchronousCloseException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AsynchronousCloseException

    public AsynchronousCloseException()

Constructs an instance of this class.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.